## remmina 1.0.0

=== CMakeLists.txt ===
# Remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.

cmake_minimum_required(VERSION 2.6)
set(CMAKE_COLOR_MAKEFILE ON)
project(Remmina C)

include(CheckIncludeFiles)
include(CheckLibraryExists)
include(FindPkgConfig)
include(CheckCCompilerFlag)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/)

include(FindOptionalPackage)

if(NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE "Release")
endif()

if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
	set(CMAKE_INSTALL_LIBDIR "lib")
endif()

if(NOT DEFINED CMAKE_INSTALL_BINDIR)
	set(CMAKE_INSTALL_BINDIR "bin")
endif()

if(NOT BUILD_SHARED_LIBS)
    set(BUILD_SHARED_LIBS ON)
endif()

if(CMAKE_COMPILER_IS_GNUCC)
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
	CHECK_C_COMPILER_FLAG(-Wno-unused-result Wno-unused-result)
	if(Wno-unused-result)
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-result")
	endif()
	CHECK_C_COMPILER_FLAG(-Wno-unused-but-set-variable Wno-unused-but-set-variable)
	if(Wno-unused-but-set-variable)
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-but-set-variable")
	endif()
	CHECK_C_COMPILER_FLAG(-Wno-unused-function Wno-unused-function)
	if(Wno-unused-function)
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-function")
	endif()
endif()

check_include_files(sys/param.h HAVE_SYS_PARAM_H)
check_include_files(sys/socket.h HAVE_SYS_SOCKET_H)
check_include_files(arpa/inet.h HAVE_ARPA_INET_H)
check_include_files(netinet/in.h HAVE_NETINET_IN_H)
check_include_files(termios.h HAVE_TERMIOS_H)
check_include_files(netdb.h HAVE_NETDB_H)
check_include_files(fcntl.h HAVE_FCNTL_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(sys/un.h HAVE_SYS_UN_H)
check_include_files(errno.h HAVE_ERRNO_H)

include_directories(.)
include_directories(remmina/include)

set(REMMINA_VERSION "0.9.99.1")
set(REMMINA_DATADIR "${CMAKE_INSTALL_PREFIX}/share/remmina")
set(REMMINA_LOCALEDIR "${CMAKE_INSTALL_PREFIX}/share/locale")
set(REMMINA_PLUGINDIR "${CMAKE_INSTALL_PREFIX}/lib/remmina/plugins")

find_suggested_package(PTHREAD)
if(PTHREAD_FOUND)
	add_definitions(-DHAVE_PTHREAD)
endif()

find_suggested_package(GCRYPT)
if(GCRYPT_FOUND)
	add_definitions(-DHAVE_LIBGCRYPT)
endif()

find_required_package(GTK)
if(GTK_FOUND)
	add_subdirectory(remmina)
	add_subdirectory(remmina-plugins)
	add_subdirectory(remmina-plugins-gnome)
endif()

find_suggested_package(AVAHI)
if(AVAHI_FOUND)
	add_definitions(-DHAVE_LIBAVAHI_UI)
	add_definitions(-DHAVE_LIBAVAHI_CLIENT)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_SOURCE_DIR}/config.h)

install(DIRECTORY include/remmina DESTINATION include/remmina FILES_MATCHING PATTERN "*.h")

=== remmina-plugins-gnome/CMakeLists.txt ===
# remmina-plugins-gnome - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.

set(REMMINA_PLUGINS_GNOME_SRCS
	src/gkeyring_plugin.c
	)

add_library(remmina-plugins-gnome ${REMMINA_PLUGINS_GNOME_SRCS})
set_target_properties(remmina-plugins-gnome PROPERTIES PREFIX "")

include_directories(${GTK_INCLUDE_DIRS})
target_link_libraries(remmina-plugins-gnome ${GTK_LIBRARY_DIRS})

find_required_package(GNOMEKEYRING)
if(GNOMEKEYRING_FOUND)
	include_directories(${GNOMEKEYRING_INCLUDE_DIRS})
	target_link_libraries(remmina-plugins-gnome ${GNOMEKEYRING_LIBRARIES})
endif()

install(TARGETS remmina-plugins-gnome DESTINATION ${REMMINA_PLUGINDIR})

=== remmina-plugins/CMakeLists.txt ===
# Remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.

include_directories(${CMAKE_SOURCE_DIR}/remmina-plugins)

set(APPICON16_EMBLEMS_DIR "${REMMINA_DATADIR}/icons/hicolor/16x16/emblems")
set(APPICON22_EMBLEMS_DIR "${REMMINA_DATADIR}/icons/hicolor/22x22/emblems")

set(REMMINA_COMMON_INCLUDE_DIRS ${GTK_INCLUDE_DIRS})
set(REMMINA_COMMON_LIBRARIES ${GTK_LIBRARIES})

find_suggested_package(LIBSSH)
if(LIBSSH_FOUND)
	add_definitions(-DHAVE_LIBSSH)
	include_directories(${SSH_INCLUDE_DIRS})
	target_link_libraries(remmina ${SSH_LIBRARIES})
endif()

find_required_package(XKBFILE)

if(LIBSSH_FOUND AND XKBFILE_FOUND)
	add_subdirectory(nx)
endif()

add_subdirectory(xdmcp)

find_suggested_package(FREERDP)
if(FREERDP_FOUND)
	add_subdirectory(rdp)
endif()

find_suggested_package(TELEPATHY)
if(TELEPATHY_FOUND)
	add_subdirectory(telepathy)
endif()

find_suggested_package(ZLIB)

if(ZLIB_FOUND)
	add_subdirectory(vnc/libvncserver)
	add_subdirectory(vnc)
endif()

add_subdirectory(po)

=== remmina/CMakeLists.txt ===
# src/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.

set(REMMINA_SRCS
	src/remmina_about.c
	src/remmina_about.h
	src/remmina_applet_menu.c
	src/remmina_applet_menu.h
	src/remmina_applet_menu_item.c
	src/remmina_applet_menu_item.h
	src/remmina_avahi.c
	src/remmina_avahi.h
	src/remmina.c
	src/remmina_chain_button.c
	src/remmina_chain_button.h
	src/remmina_chat_window.c
	src/remmina_chat_window.h
	src/remmina_connection_window.c
	src/remmina_connection_window.h
	src/remmina_crypt.c
	src/remmina_crypt.h
	src/remmina_exec.c
	src/remmina_exec.h
	src/remmina_file.c
	src/remmina_file_editor.c
	src/remmina_file_editor.h
	src/remmina_file.h
	src/remmina_file_manager.c
	src/remmina_file_manager.h
	src/remmina_ftp_client.c
	src/remmina_ftp_client.h
	src/remmina_icon.c
	src/remmina_icon.h
	src/remmina_init_dialog.c
	src/remmina_init_dialog.h
	src/remmina_key_chooser.c
	src/remmina_key_chooser.h
	src/remmina_log.c
	src/remmina_log.h
	src/remmina_main.c
	src/remmina_main.h
	src/remmina_marshals.c
	src/remmina_marshals.h
	src/remmina_marshals.list
	src/remmina_plugin_manager.c
	src/remmina_plugin_manager.h
	src/remmina_pref.c
	src/remmina_pref_dialog.c
	src/remmina_pref_dialog.h
	src/remmina_pref.h
	src/remmina_protocol_widget.c
	src/remmina_protocol_widget.h
	src/remmina_public.c
	src/remmina_public.h
	src/remmina_scaler.c
	src/remmina_scaler.h
	src/remmina_scrolled_viewport.c
	src/remmina_scrolled_viewport.h
	src/remmina_sftp_client.c
	src/remmina_sftp_client.h
	src/remmina_sftp_plugin.c
	src/remmina_sftp_plugin.h
	src/remmina_ssh.c
	src/remmina_ssh.h
	src/remmina_ssh_plugin.c
	src/remmina_ssh_plugin.h
	src/remmina_string_array.c
	src/remmina_string_array.h
	src/remmina_string_list.c
	src/remmina_string_list.h
	src/remmina_widget_pool.c
	src/remmina_widget_pool.h
	)

add_executable(remmina ${REMMINA_SRCS})

include_directories(${GTK_INCLUDE_DIRS})
target_link_libraries(remmina ${GTK_LIBRARIES})

find_suggested_package(LIBSSH)
if(LIBSSH_FOUND)
	add_definitions(-DHAVE_LIBSSH)
	include_directories(${LIBSSH_INCLUDE_DIRS})
	target_link_libraries(remmina ${LIBSSH_LIBRARIES})
endif()

if(GCRYPT_FOUND)
	include_directories(${GCRYPT_INCLUDE_DIRS})
	target_link_libraries(remmina ${GCRYPT_LIBRARIES})
endif()

if(AVAHI_FOUND)
	include_directories(${AVAHI_INCLUDE_DIRS})
	target_link_libraries(remmina ${AVAHI_LIBRARIES})
endif()

if(GTK3_FOUND)
	set(_VTE_VERSION_NUM 2.90)
else()
	set(_VTE_VERSION_NUM)
endif()

find_suggested_package(VTE _VTE_VERSION_NUM)
if(VTE_FOUND)
	add_definitions(-DHAVE_LIBVTE)
	include_directories(${VTE_INCLUDE_DIRS})
	target_link_libraries(remmina ${VTE_LIBRARIES})
endif()

if(GTK3_FOUND)
	find_suggested_package(APPINDICATOR)
	if(APPINDICATOR_FOUND)
		add_definitions(-DHAVE_LIBAPPINDICATOR)
		include_directories(${APPINDICATOR_INCLUDE_DIRS})
		target_link_libraries(remmina ${APPINDICATOR_LIBRARIES})
	endif()
endif()

add_subdirectory(po)
add_subdirectory(icons)
add_subdirectory(desktop)

install(TARGETS remmina DESTINATION ${CMAKE_INSTALL_BINDIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/remmina.pc.in ${CMAKE_CURRENT_BINARY_DIR}/remmina.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/remmina.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== remmina-plugins/nx/CMakeLists.txt ===
# remmina-plugin-nx - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.

set(REMMINA_PLUGIN_NX_SRCS
	nx_session.c
	nx_session.h
	nx_session_manager.c
	nx_session_manager.h
	nx_plugin.c
	nx_plugin.h
	)

add_library(remmina-plugin-nx ${REMMINA_PLUGIN_NX_SRCS})
set_target_properties(remmina-plugin-nx PROPERTIES PREFIX "")

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${XKBFILE_INCLUDE_DIRS} ${LIBSSH_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-nx ${REMMINA_COMMON_LIBRARIES} ${XKBFILE_LIBRARIES} ${LIBSSH_LIBRARIES})

install(TARGETS remmina-plugin-nx DESTINATION ${REMMINA_PLUGINDIR})

install(FILES 16x16/emblems/remmina-nx.png DESTINATION ${APPICON16_EMBLEMS_DIR})
install(FILES 22x22/emblems/remmina-nx.png DESTINATION ${APPICON22_EMBLEMS_DIR})

=== remmina-plugins/po/CMakeLists.txt ===
# po/remmina-plugins - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.

include(GETTEXT)
gettext(${CMAKE_CURRENT_SOURCE_DIR} "remmina-plugins")

=== remmina-plugins/rdp/CMakeLists.txt ===
# remmina-plugin-rdp - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.

set(CMAKE_THREAD_PREFER_PTHREAD)
find_package(Threads)

set(REMMINA_PLUGIN_RDP_SRCS
	rdp_plugin.c
	rdp_plugin.h
	rdp_event.c
	rdp_event.h
	rdp_file.c
	rdp_file.h
	rdp_settings.c
	rdp_settings.h
	rdp_gdi.c
	rdp_gdi.h
	rdp_graphics.c
	rdp_graphics.h
	)

add_library(remmina-plugin-rdp ${REMMINA_PLUGIN_RDP_SRCS})
set_target_properties(remmina-plugin-rdp PROPERTIES PREFIX "")

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${FREERDP_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-rdp ${REMMINA_COMMON_LIBRARIES} ${FREERDP_LIBRARIES})

install(TARGETS remmina-plugin-rdp DESTINATION ${REMMINA_PLUGINDIR})

install(FILES 16x16/emblems/remmina-rdp-ssh.png 16x16/emblems/remmina-rdp.png DESTINATION ${APPICON16_EMBLEMS_DIR})
install(FILES 22x22/emblems/remmina-rdp-ssh.png 22x22/emblems/remmina-rdp.png DESTINATION ${APPICON22_EMBLEMS_DIR})

=== remmina-plugins/telepathy/CMakeLists.txt ===
# remmina-plugin-telepathy - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.

set(REMMINA_PLUGIN_TELEPATHY_SRCS
	telepathy_plugin.c
	)

add_library(remmina-plugin-telepathy ${REMMINA_PLUGIN_TELEPATHY_SRCS})
set_target_properties(remmina-plugin-telepathy PROPERTIES PREFIX "")

find_required_package(GTK3)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${TELEPATHY_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-telepathy ${REMMINA_COMMON_LIBRARIES} ${TELEPATHY_LIBRARIES})

install(TARGETS remmina-plugin-telepathy DESTINATION ${REMMINA_PLUGINDIR})

=== remmina-plugins/vnc/CMakeLists.txt ===
# remmina-plugin-vnc - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.

set(LIBVNCSERVER_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/libvncserver)
set(LIBVNCSERVER_LIBRARIES vncclient)

set(REMMINA_PLUGIN_VNC_SRCS
	vnc_plugin.c
	)

add_library(remmina-plugin-vnc ${REMMINA_PLUGIN_VNC_SRCS})
set_target_properties(remmina-plugin-vnc PROPERTIES PREFIX "")

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${LIBVNCSERVER_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-vnc ${REMMINA_COMMON_LIBRARIES} ${LIBVNCSERVER_LIBRARIES})

install(TARGETS remmina-plugin-vnc DESTINATION ${REMMINA_PLUGINDIR})

install(FILES 16x16/emblems/remmina-vnc-ssh.png 16x16/emblems/remmina-vnc.png DESTINATION ${APPICON16_EMBLEMS_DIR})
install(FILES 22x22/emblems/remmina-vnc-ssh.png 22x22/emblems/remmina-vnc.png DESTINATION ${APPICON22_EMBLEMS_DIR})

=== remmina-plugins/xdmcp/CMakeLists.txt ===
# remmina-plugin-xdmcp - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.

set(REMMINA_PLUGIN_XDMCP_SRCS
	xdmcp_plugin.c
	)

add_library(remmina-plugin-xdmcp ${REMMINA_PLUGIN_XDMCP_SRCS})
set_target_properties(remmina-plugin-xdmcp PROPERTIES PREFIX "")

include_directories(${REMMINA_COMMON_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-xdmcp ${REMMINA_COMMON_LIBRARIES})

install(TARGETS remmina-plugin-xdmcp DESTINATION ${REMMINA_PLUGINDIR})

install(FILES 16x16/emblems/remmina-xdmcp-ssh.png 16x16/emblems/remmina-xdmcp.png DESTINATION ${APPICON16_EMBLEMS_DIR})
install(FILES 22x22/emblems/remmina-xdmcp-ssh.png 22x22/emblems/remmina-xdmcp.png DESTINATION ${APPICON22_EMBLEMS_DIR})

=== remmina/desktop/CMakeLists.txt ===
# desktop/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.

set(ICON16_DIR "${REMMINA_DATADIR}/icons/hicolor/16x16/apps")
set(ICON22_DIR "${REMMINA_DATADIR}/icons/hicolor/22x22/apps")
set(ICON24_DIR "${REMMINA_DATADIR}/icons/hicolor/24x24/apps")
set(ICON32_DIR "${REMMINA_DATADIR}/icons/hicolor/32x32/apps")
set(ICON48_DIR "${REMMINA_DATADIR}/icons/hicolor/48x48/apps")
set(ICONSVG_DIR "${REMMINA_DATADIR}/icons/hicolor/scalable/apps")

set(ICON16_DATA 16x16/apps/remmina.png)
set(ICON22_DATA 22x22/apps/remmina.png)
set(ICON24_DATA 24x24/apps/remmina.png)
set(ICON32_DATA 32x32/apps/remmina.png)
set(ICON48_DATA 48x48/apps/remmina.png)
set(ICONSVG_DATA scalable/apps/remmina.svg)

install(FILES ${ICON16_DATA} DESTINATION ${ICON16_DIR})
install(FILES ${ICON22_DATA} DESTINATION ${ICON22_DIR})
install(FILES ${ICON24_DATA} DESTINATION ${ICON24_DIR})
install(FILES ${ICON32_DATA} DESTINATION ${ICON32_DIR})
install(FILES ${ICON48_DATA} DESTINATION ${ICON48_DIR})
install(FILES ${ICONSVG_DATA} DESTINATION ${ICONSVG_DIR})

=== remmina/icons/CMakeLists.txt ===
# icons/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.

set(APPICON16_ACTIONS_DIR "${REMMINA_DATADIR}/icons/hicolor/16x16/actions")
set(APPICON16_EMBLEMS_DIR "${REMMINA_DATADIR}/icons/hicolor/16x16/emblems")
set(APPICON22_ACTIONS_DIR "${REMMINA_DATADIR}/icons/hicolor/22x22/actions")
set(APPICON22_EMBLEMS_DIR "${REMMINA_DATADIR}/icons/hicolor/22x22/emblems")

set(APPICON16_ACTIONS_DATA
	16x16/actions/remmina-fit-window.png
	16x16/actions/remmina-scale.png
	16x16/actions/remmina-fullscreen.png
	16x16/actions/remmina-switch-page.png
	16x16/actions/remmina-pin-up.png
	16x16/actions/remmina-pin-down.png
	)

set(APPICON16_EMBLEMS_DATA
	16x16/emblems/remmina-sftp.png
	)

set(APPICON22_ACTIONS_DATA
	22x22/actions/remmina-fit-window.png
	22x22/actions/remmina-scale.png
	22x22/actions/remmina-fullscreen.png
	22x22/actions/remmina-switch-page.png
	)

set(APPICON22_EMBLEMS_DATA
	22x22/emblems/remmina-sftp.png
	)

install(FILES ${APPICON16_ACTIONS_DATA} DESTINATION ${APPICON16_ACTIONS_DIR})
install(FILES ${APPICON16_EMBLEMS_DATA} DESTINATION ${APPICON16_EMBLEMS_DIR})
install(FILES ${APPICON22_ACTIONS_DATA} DESTINATION ${APPICON22_ACTIONS_DIR})
install(FILES ${APPICON22_EMBLEMS_DATA} DESTINATION ${APPICON22_EMBLEMS_DIR})

## remmina 0.8.0

=== debian/changelog ===
remmina (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.0, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 11 Jul 2010 23:40:47 +0200

remmina (0.7.99.1-1) experimental; urgency=low

  * New upstream beta release.
    - Add IPv6 support (Closes: #580456).
  * debian/control:
    - No longer build-depend on libvncserver-dev and libgnutls-dev.
    - Add remmina-dev package to provide development headers.
    - Drop rdesktop from Depends, add most commonly used plugins to
      Recommends, due to new plugin design.
  * debian/copyright:
    - Adjust copyright information, drop older entries.
  * debian/remmina-dev.install:
    - Install remmina-dev files into correct package.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 26 Jun 2010 10:29:52 +0200

remmina (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * Switch to forma 3.0 (quilt).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 04 May 2010 21:15:46 +0200

remmina (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.4, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 20 Feb 2010 19:12:35 +0100

remmina (0.7.3-1) unstable; urgency=low

  * New upstream release.
    - Allow connecting to a VNC server via SSH tunnel by specifying
      display number instead of TCP port (Closes: #563969).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 26 Jan 2010 20:17:14 +0100

remmina (0.7.2-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 08 Jan 2010 19:26:38 +0100

remmina (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 28 Dec 2009 15:48:13 +0100

remmina (0.7.0-2) unstable; urgency=low

  * debian/copyright:
    - Add missing copyright holders.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 16 Dec 2009 20:06:01 +0100

remmina (0.7.0-1) unstable; urgency=low

  * Grdc is now Remmina.
  * New upstream release.
  * debian/patches/desktop_file.patch:
    - Removed, fixed upstream.
  * debian/control:
    - Refresh build-dependencies.
    - Move rdesktop to Depends.
    - Improve long descrription adding new supported protocols.
  * debian/copyright:
    - Adjust copyright informations.
  * debian/rules:
    - Generate po/POTFILES.skip at runtime to avoid generating po files
      for unneeded elements.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 14 Dec 2009 20:24:43 +0100

grdc (0.6.0-2) unstable; urgency=low

  * Add libgcrypt-dev to Build-Depends.
  * Build-depend on libssh-dev instead of libssh-2-dev.
  * Switch to Section: gnome to match override.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 27 Oct 2009 20:14:12 +0100

grdc (0.6.0-1) unstable; urgency=low

  * Initial release (Closes: #537292).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 25 Aug 2009 23:59:55 +0200

=== debian/control ===
Source: remmina
Section: gnome
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Build-Depends: debhelper (>= 7.0.50), intltool (>= 0.35.0), libglib2.0-dev (>= 2.20.0), libgtk2.0-dev (>= 2.16.0), libssh-dev (>= 0.4), libavahi-ui-dev (>= 0.6.22), libvte-dev (>= 0.12.0), libgcrypt11-dev (>= 1.4.0), libunique-dev
Standards-Version: 3.9.0
Homepage: http://remmina.sourceforge.net/
Vcs-Git: git://git.debian.org/git/users/dktrkranz/remmina.git
Vcs-Browser: http://git.debian.org/?p=users/dktrkranz/remmina.git;a=summary

Package: remmina
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: remmina-plugin-rdp, remmina-plugin-vnc
Description: remote desktop client for GNOME desktop environment
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 It supports multiple network protocols in an integrated and consistant user
 interface. Currently RDP, VNC, NX, XDMCP and SSH protocols are supported.

Package: remmina-dev
Architecture: all
Depends: ${misc:Depends}, remmina (>= ${source:Version}), remmina (<< ${source:Version}.1~)
Description: remote desktop client (development headers)
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the Remmina plugin development headers.

Package: grdc
Architecture: all
Depends: remmina, ${misc:Depends}
Description: transitional dummy package for remmina
 This is a dummy package to ease transition to new package name remmina.
 .
 It can be safely removed from your system.

## remmina 0.8.3

=== debian/changelog ===
remmina (0.8.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 26 Oct 2010 22:40:18 +0200

remmina (0.8.2-1) unstable; urgency=low

  * New upstream bugfix release.
    - Fix segfault which prevented display of a warning when a saved
      connection requires a missing plugin (Closes: #590540).

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 01 Sep 2010 22:11:34 +0200

remmina (0.8.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control:
    - Bump Standards-Version to 3.9.1, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 31 Jul 2010 13:05:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Build-Depends: debhelper (>= 7.0.50), intltool (>= 0.35.0), libglib2.0-dev (>= 2.20.0), libgtk2.0-dev (>= 2.16.0), libssh-dev (>= 0.4), libavahi-ui-dev (>= 0.6.22), libvte-dev (>= 0.12.0), libgcrypt11-dev (>= 1.4.0), libunique-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://remmina.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/users/dktrkranz/remmina.git
 Vcs-Browser: http://git.debian.org/?p=users/dktrkranz/remmina.git;a=summary

=== debian/watch ===
version=3
http://sf.net/remmina/remmina-([0-9\.]+)\.tar\.gz

## remmina 0.9.3

=== debian/changelog ===
remmina (0.9.3-2) unstable; urgency=low

  * Upload to unstable.
  * debian/copyright:
    - Update copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 06 Feb 2011 19:05:31 +0100

remmina (0.9.3-1) experimental; urgency=low

  * New upstream bugfix release.
  * debian/control:
    - Add Breaks: remmina-plugin-data (<= 0.9) field to make sure plugins
      are compatible with current version (Closes: #610443).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 22 Jan 2011 14:36:56 +0100

remmina (0.9.2-1) experimental; urgency=low

  * New upstream bugfix release.
  * debian/control:
    - Remove transitional grdc package, now obsolete.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 28 Dec 2010 12:05:08 +0100

remmina (0.9.0-1) experimental; urgency=low

  * New upstream release.
    - Quick connect menu removed and consolidated with Connection -> New;
      other Edit menu items moved under Connection menu (Closes: #591755).
    - New resolution button to easily adjust or add screen resolutions
      without passing for Preferences dialog (Closes: #595102).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 12 Dec 2010 18:35:18 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: remmina-plugin-rdp, remmina-plugin-vnc
+Breaks: remmina-plugin-data (<= 0.9)
 Description: remote desktop client for GNOME desktop environment
  Remmina is a remote desktop connection client able to display and control a
  remote desktop session.
@@ -28,11 +29,3 @@
  .
  This package contains the Remmina plugin development headers.
 
-Package: grdc
-Architecture: all
-Depends: remmina, ${misc:Depends}
-Description: transitional dummy package for remmina
- This is a dummy package to ease transition to new package name remmina.
- .
- It can be safely removed from your system.
-

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_clean:
	dh_clean po/POTFILES.skip

override_dh_auto_build:
	echo "libvncserver/libvncclient/minilzo.c" > po/POTFILES.skip
	dh_auto_build

## remmina 1.0.0

=== debian/changelog ===
remmina (1.0.0-6ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining Ubuntu changes: (LP: #1358770)
  * debian/control:
    - Build-depend on libappindicator3-dev, intltool
    - Add Breaks and Replaces from remmina to remmina-common as the .desktop
      file has moved across.
  * debian/rules:
    - Build with libappindicator
    - Call intltool-update on build
  * debian/patches/indicator_set_title.patch:
    - Set a title so the unity-hud doesn't list as "untitled"
  * debian/patches/translations.patch,
    - Make translatable
  * debian/patches/keywords.patch:
    - Set keywords in desktop file to make searchable
  * debian/patches/unity_launcher_list.patch:
    - Add quick lists for the unity launcher

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 02 Sep 2014 10:35:23 +1200

remmina (1.0.0-6) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/missing_libraries.patch:
    - Add missing libraries to target_link_libraries to fix FTBFS,
      thanks to Daniel T. Chen for the patch (Closes: #713470).
  * debian/remmina-plugin-*.lintian-overrides:
    - Removed lintian overrides, not needed anymore.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 23 Jun 2013 14:48:57 +0200

remmina (1.0.0-5) experimental; urgency=low

  [ Luca Falavigna ]
  * debian/patches/NO_SONAME.patch:
    - Do not define any SONAME for the plugins.
  * debian/control:
    - Fix URL of Vcs-Browser field.
    - Bump Standards-Version to 3.9.4.
    - Fix typo in package description.
  * debian/copyright:
    - Adjust copyright years.
  * debian/docs:
    - Install README.
  * debian/remmina-plugin-{nx,vnc}.lintian-overrides:
    - hardening-check discovers unprotected functions only.
  * debian/rules:
    - Pass "-Wl,--as-needed" to LDFLAGS.
    - Install upstream changelog.
    - Overriding dh_makeshlibs is no longer required.

  [ Jonathan McCrohan ]
  * debian/watch:
    - Update watchfile to fix Github breakage (Closes: #693515).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 02 Feb 2013 01:06:23 +0100

remmina (1.0.0-4+deb7u1) unstable; urgency=low

  [ Bernhard Schmidt ]
  * Cherry-pick commit 9243d35 from upstream Git repository to fix a
    crash when resizing window to fit remote resolution (Closes: #668020).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 17 Mar 2013 14:37:39 +0100

remmina (1.0.0-4ubuntu3) saucy; urgency=low

  * debian/patches/keywords.patch: update remmina.desktop as well,
    the file is not updated during the build (lp: #1024480)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Jul 2013 16:27:18 +0200

remmina (1.0.0-4ubuntu2) raring; urgency=low

  * Added missing libs to link, fixing FTBFS (LP: #1163798).

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 03 Apr 2013 12:12:04 -0400

remmina (1.0.0-4ubuntu1) raring; urgency=low

  [ Alex Chiang ]
  * Merge from Debian unstable.
    - Dropped in favor of upstream debian's patches:
      . install_desktop_file.patch => desktop_file.patch
      . scroll_smooth.patch => scroll.patch
      . trayicon_option.patch => systray.patch
  * Remaining changes:
    - debian/patches/indicator_set_title.patch:
      . set a title so the unity-hud doesn't list as "untitled" (lp: #943434)
    - debian/patches/translations.patch,
      debian/rules:
      . improve translation support, add a .desktop.in, update potfiles.in
        lists, call intltool-update on build (lp: #943279)
    - debian/patches/keywords.patch:
      . backport upstream patch to set keywords in the desktop entry, 
        it makes easier to find remmina in the unity dash or gnome-shell
        (lp: #1024480)
    - debian/patches/unity_launcher_list.patch: unity launcher list support
      thanks Nekhelesh Ramananthan (lp: #938026)

  [ Iain Lane ]
  * Add Breaks and Replaces from remmina to remmina-common as the .desktop
    file has moved across.

 -- Alex Chiang <achiang@canonical.com>  Thu, 17 Jan 2013 16:31:24 +0000

remmina (1.0.0-4) unstable; urgency=low

  [ Martijn van Brummelen ]
  * debian/patches/clipboard.patch:
    - Clipboard support (Closes: #659755).

  [ Luca Falavigna ]
  * debian/patches/fullname.patch:
    - Use X-GNOME-FullName in .desktop file (Closes: #625939).
  * debian/patches/scroll.patch:
    - Fix some issues with scrolling (Closes: #670535).
  * debian/patches/systray.patch:
    - Implement --icon/-i option (Closes: #661893).
  * debian/control:
    - Add dbus-x11 to remmina Depends field (Closes: #668018).
    - Add Jean-Louis to Uploaders field.
    - Move VCS repository under collab-maint.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 24 May 2012 22:37:09 +0200

remmina (1.0.0-3) unstable; urgency=low

  * debian/patches/desktop_file.patch:
    - Fix installation path of the desktop file.
  * debian/rules:
    - Check for existence of remmina-common directory before trying
      to access it, fix FTBFS.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 25 Feb 2012 10:16:51 +0100

remmina (1.0.0-2) unstable; urgency=low

  * debian/patches/desktop_file.patch:
    - Restore installation of the .desktop file (Closes: #659542).
  * debian/patches/toolbar.patch:
    - Mark main toolbar as a primary toolbar (Closes: #659781).
  * debian/patches/datadir.patch:
    - Adjust location of REMMINA_DATADIR to allow install of icons
      in the correct location.
  * debian/control:
    - Improve description of the remmina-plugin-gnome package.
    - Bump Standards-Version to 3.9.3.
  * debian/copyright:
    - Format now points to copyright-format site.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 25 Feb 2012 01:21:41 +0100

remmina (1.0.0-1ubuntu8) quantal; urgency=low

  * debian/patches/09_keywords.patch:
    - backport upstream patch to set keywords in the desktop entry, 
      it makes easier to find remmina in the unity dash or gnome-shell
      (lp: #1024480)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Jul 2012 16:57:29 +0200

remmina (1.0.0-1ubuntu6.1) precise-proposed; urgency=low



=== debian/control ===
Source: remmina
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Jean-Louis Dupond <jean-louis@dupond.be>
Build-Depends: debhelper (>= 9~),
 cmake (>= 2.6),
 libgtk-3-dev,
 libgcrypt11-dev,
 libssh-dev (>= 0.4),
 libvte-2.90-dev,
 libxkbfile-dev,
 libfreerdp-dev (>= 1.0),
 libtelepathy-glib-dev,
 libjpeg-dev,
 libgnutls-dev,
 libgnome-keyring-dev,
 libavahi-ui-gtk3-dev (>= 0.6.0),
 libvncserver-dev,
 libappindicator3-dev,
 intltool
Standards-Version: 3.9.4
Homepage: http://remmina.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/remmina.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/remmina.git

Package: remmina
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina-common (= ${source:Version}),
 dbus-x11
Recommends: remmina-plugin-rdp,
 remmina-plugin-vnc
Breaks: remmina-plugin-data (<= 0.9),
        remmina-common (<= 1.0.0-1ubuntu8)
Replaces: remmina-gnome, remmina-xfce,
          remmina-common (<= 1.0.0-1ubuntu8)
Description: remote desktop client for GNOME desktop environment
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 It supports multiple network protocols in an integrated and consistent user
 interface. Currently RDP, VNC, NX, XDMCP and SSH protocols are supported.

Package: remmina-common
Architecture: all
Depends: ${misc:Depends}
Recommends: remmina
Breaks: remmina (<< 1.0.0),
 remmina-plugin-data
Replaces: remmina (<< 1.0.0),
 remmina-plugin-data
Description: common files for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the common files.

Package: remmina-plugin-rdp
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 libfreerdp-plugins-standard
Description: RDP plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the RDP plugin for Remmina.

Package: remmina-plugin-vnc
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: VNC plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the VNC plugin for Remmina.

Package: remmina-plugin-xdmcp
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 xserver-xephyr
Description: XDMCP plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the XDMCP plugin for Remmina.

Package: remmina-plugin-nx
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 nxproxy
Description: NX plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the NX plugin for Remmina.

Package: remmina-plugin-telepathy
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: Telepathy plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the Telepathy plugin for Remmina.

Package: remmina-plugin-gnome
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: GNOME plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the GNOME Keyring plugin for Remmina, which allows one
 to store and retrieve passwords from GNOME Keyring.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,--as-needed

%:
	dh $@

override_dh_install:
	dh_install
	cd remmina/po; intltool-update --pot --verbose -g remmina
	[ -d debian/remmina-common ] && \
		find $(CURDIR)/debian/remmina-common -name "*remmina.desktop" -delete && \
		find $(CURDIR)/debian/remmina-common -type d -empty -delete || true

override_dh_installchangelogs:
	dh_installchangelogs remmina/ChangeLog

override_dh_clean:
	-rm remmina/po/remmina.pot
	dh_clean

=== debian/watch ===
version=3
https://github.com/FreeRDP/Remmina/tags .*/(\d[\d\.]+)\.tar\.gz
